Name:          macchanger
Version:       1.7.0
Release:       1mamba
Summary:       An utility that makes the maniputation of MAC addresses of network interfaces easier
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/alobbs/macchanger
## GITSOURCE https://github.com/alobbs/macchanger.git 1.7.0
Source:        https://github.com/alobbs/macchanger.git/%{version}/macchanger-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires(post): %{__install_info}
Requires(preun): %{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GNU MAC Changer is an utility that makes the maniputation of MAC addresses of network interfaces easier.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
## modify the infopage name as required
%install_info %{name}.info
exit 0

%preun
## modify the infopage name as required
%uninstall_info %{name}.info
exit 0

%files
%defattr(-,root,root)
%{_bindir}/macchanger
%{_infodir}/macchanger.info.gz
%{_datadir}/macchanger/OUI.list
%{_datadir}/macchanger/wireless.list
%{_mandir}/man1/macchanger.1.gz
%doc AUTHORS COPYING

%changelog
* Sun Feb 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- package created using the webbuild interface
